/*
 * Copyright (c) 2009-2010 Jose-Luis Lisani <joseluis.lisani@uib.es>
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MISC_IPOL_H
#define MISC_IPOL_H

void normalize_vector(float u[3]);

float scalar_product(float u[3], float v[3]);

void vectorial_product(float u[3], float v[3], float w[3]);

float vector_norm(float u[3]);

float **sample_arclength(float A[3], float B[3], float O[3], int npoints);

void delete_list3D(float **points, int npoints);

#endif
